#{set 'search-bar-right-content'}
    #{list items: _result?.getParamAble()?.getParams(), as: 'param'}
        #{if param.getKey() != 'search' && param.getKey() != 'tahun' && param.getKey() != 'filter' && param.getKey() != 'subFilter' }
        <input type="hidden" name="${param.getKey()}" value="${param.getValue()}">
        #{/if}
    #{/list}
<div class="ui dropdown selection component-dropdown" id="tahunFilter">
    <input type="hidden" name="tahun" value="${_tahun}">
    <i class="dropdown icon"></i>
    <div class="default text">Tahun</div>
    <div class="menu">
        #{list items:_tahuns, as:'tahun'}
            <div class="item" data-value="${tahun}">${tahun}</div>
        #{/list}
    </div>
</div>
    #{if _filters != null}
    <div class="ui dropdown selection component-dropdown" id="mainFilter">
        <input type="hidden" name="filter" value="${_filter}">
        <i class="dropdown icon"></i>
        <div class="default text">${_result?.getParamAble()?.getDefaultFilterLabel()}</div>
        <div class="menu">
            <div class="item">Semua</div>
            #{list items:_filters, as:'filter'}
                <div class="item" data-id="${_filterIds[filter_index - 1]}" data-value="${filter}">${filter}</div>
            #{/list}
        </div>
    </div>
    #{/if}
<input type="hidden" name="subFilter" value="${_subFilter}">
    #{list items:_filters, as:'filter'}
    <div class="ui dropdown selection component-dropdown sub-filter sub-${filter.replace(" ", "-")}"
         id="${_filterIds[filter_index - 1]}">
        <input type="hidden" name="childFilter" value="${_subFilter}">
        <i class="dropdown icon"></i>
        <div class="default text">Pilih</div>
        <div class="menu">
            #{list items:_subFilters[filter_index - 1], as:'subFilter'}
                <div class="item" data-value="${subFilter}">${subFilter}</div>
            #{/list}
        </div>
    </div>
    #{/list}
#{/set}
#{dashboard.search-bar result:_result, id:'formRekap', nonRecord: true/}

#{set 'moreScripts'}
<script>
    var val;
    $('#tahunFilter')
            .dropdown({
                action: 'activate',
                onChange: function (value, text, $selectedItem) {
                    $("#formRekap").submit();
                }
            });
        #{if _filters != null}
        $('#mainFilter')
                .dropdown({
                    action: 'activate',
                    onChange: function (value, text, $selectedItem) {
                        var id = $selectedItem.data('id');
                        if (typeof id == 'undefined' && val != value) {
                            $("#formRekap").submit();
                        }
                        $(".sub-filter").hide();
                        $("#" + id).show();
                    }
                });
        #{/if}
    $('.sub-filter')
            .dropdown({
                action: 'activate',
                onChange: function (value, text, $selectedItem) {
                    $("input[name=childFilter]").val('');
                    $("input[name=childFilter]").val(value);
                    $("input[name=subFilter]").val(value);
                    $("#formRekap").submit();
                }
            });
    $(document).ready(function () {
        $(".sub-filter").hide();
        #{if _filters != null}
            val = $('#mainFilter').dropdown('get value');
            val = val.replace(" ", "-");
            $(".sub-" + val).show();
        #{/if}
    });
</script>
#{/set}